{---------------------------------------------------------------------------}
{ BitMachine Program:  CRANEOFF                                             }
{ DATE:         02/12/99                                                    }
{ PROGRAMMER:   Terry King                                                  }
{ WHAT IT DOES: Set printer port bits to disable PRCRANE motors             }
{                                                                           }
{ HISTORY:                                                                  }
{ 02/20/99   Turning Magnet bit off too                                     }
{                                                                           }
{---------------------------------------------------------------------------}
PROGRAM   CRANEOFF;

USES
  CRT, DOS;

CONST
{-------( IBM type Parallel Printer Port addresses )------------------------}
LPT1               = $0378;    {PARALLEL card base address }
LPT2               = $0278;    {PARALLEL card base address }
LPTM               = $03BC;    {PARALLEL card base address }
DataLatch          = $0000;    {ADDER To get to DO "DATA LATCH" register }
PrinterStatus      = $0001;    {ADDER To get to DI "PRINTER STATUS" register }
PrinterControl     = $0002;    {ADDER To get to DO "PRINTER CONTROL" register }

MotorsHold    = $CC;  {Pattern of Enables OFF }


BEGIN

  Port[LPT1] := MotorsHold;
  Port[LPT2] := MotorsHold;
  Port[LPTM] := MotorsHold;
  Writeln('CRANEOFF Version 1.01 (Safe bits set on printer ports for PRCRANE)');
END.{Main Program}

